## qtbase-opensource-src 5.4.2+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.4.2+dfsg-2ubuntu9) wily; urgency=medium

  * debian/patches/upstream_xcb_use_themed_cursor.patch:
    Restore, was not included in upstream 5.4.2 after all.
    (LP: #1506813)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 16 Oct 2015 10:02:08 +0000

qtbase-opensource-src (5.4.2+dfsg-2ubuntu8) wily; urgency=medium

  * debian/patches/Fix-shortcuts-with-keypad-keys.patch
    - Fix numeric keypad keys (LP: #1503170)
  * debian/libqt5gui5.symbols:
    - Update two related private symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 07 Oct 2015 13:28:33 +0000

qtbase-opensource-src (5.4.2+dfsg-2ubuntu6) wily; urgency=medium

  * debian/patches/stale-process-lock.patch:
    - Fix QLockFile not noticing if the lock pid is re-used by unrelated 
      process (LP: #1500444)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 29 Sep 2015 07:18:23 +0000

qtbase-opensource-src (5.4.2+dfsg-2ubuntu5) wily; urgency=medium

  * debian/patches/Network-Fix-up-previous-corruption-patch.patch:
    - Additional fixes to the QNAM upload corruption problem, 
      from the 5.4 upstream stable branch. (LP: #1497147)
  * debian/patches/enable-tests.patch:
    - Disable two unrelated tests that fail likely due to new Mesa 11.0.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 24 Sep 2015 07:34:12 +0000

qtbase-opensource-src (5.4.2+dfsg-2ubuntu3) wily; urgency=medium

  [ Gary Wang ]
  * debian/patches/enable_fonts_always_smoothly.patch:
    - Workaround a glyph rendering problem by forcing distance field 
      rendering (LP: #1462982) (LP: #1475205)

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Wed, 05 Aug 2015 11:44:25 +0300

qtbase-opensource-src (5.4.2+dfsg-2ubuntu2.1) wily; urgency=medium

  * Rebuild for ICU 55.1.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Jul 2015 12:19:40 +0200

qtbase-opensource-src (5.4.2+dfsg-2ubuntu2) wily; urgency=medium

  * Rebuild for GCC5 transition.
  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 10 Jul 2015 08:01:23 +0300

qtbase-opensource-src (5.4.2+dfsg-2ubuntu1) wily; urgency=medium

  * New upstream release.
  * Drop additional cherry-picked patches now included:
    - make-sure-there-s-a-scene.patch
    - upstream-gerrit_Handle-SelectionWindowDestroy-in-QXcbClipboard.patch
    - upstream_Call-ofono-nm-Registered-delayed-in-constructor-othe.patch
    - upstream_xcb-Update-mouse-buttons-from-MotionNotify-events.patch
    - upstream_xcb_use_themed_cursor.patch
    - enable_pie.patch
  * Bump ABI:s in symbols files
  * Update symbols from build logs.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 10 Jun 2015 11:45:56 +0000

qtbase-opensource-src (5.4.2+dfsg-2) experimental; urgency=medium

  * Update symbols files with buildds' logs.
  * Mark private symbols as such.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jun 2015 19:56:52 -0300

qtbase-opensource-src (5.4.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * libqt5gui5: demote libqt5libqgtk2 to a suggestion.
  * Update symbols files with buildds' logs.
  * Bump qtbase-abi to 5-4-2.
  * Refresh gnukfreebsd.diff.
  * Delete patches backported from upstream already present in this release:
    - cve-2015-0295.diff
    - qtsystemtrayicon_handle_submenus_correctly.patch
    - xcb_delay_showing_tray_icon_window_until_it_is_embedded.patch
    - require_fpic_instead_of_fpie.patch
    - try_to_ensure_that_fpic_is_used_in_cmake_builds.patch
    - make_qglobal_h_complain_if_you_use_fpie.patch
    - fixes_crash_in_bmp_and_ico_image_decoders.patch
    - fixes_crash_in_gif_image_decoder.patch
    - tst_QNetworkDiskCache-Stop-using-actual-web-servers.patch
  * Update install file for qtbase5-dev.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 02 Jun 2015 13:27:56 -0300

qtbase-opensource-src (5.4.1+dfsg-4ubuntu3) wily; urgency=medium

  * debian/patches/series: enable_pie.patch is actually an upstreamed patch
  * Re-enable the other fpic patches, and do not enforce fpie anymore
  * debian/patches/latest_fpic_commits.patch: Take even more of the 5.4.2 
    last minute patches.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 03 Jun 2015 13:06:41 +0000

qtbase-opensource-src (5.4.1+dfsg-4ubuntu2) wily; urgency=medium

  * Redisable the fpic/fpie patches again until there is a better solution.
    (LP: #1457840)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 22 May 2015 11:47:02 +0000

qtbase-opensource-src (5.4.1+dfsg-4ubuntu1) wily; urgency=medium

  * Sync with Debian 5.4.1+dfsg-4, drop more delta:
    - Enable fpic/fpie patches, although see below
    - Re-enable requiring gdb on ppc64el
    - Remove debian/mark_private_symbols.sh as new pkg-kde-tools is in Ubuntu
  * Remaining changes from Debian:
    - Remove firebird dependencies and ibase recommendation
    - Depend on OpenGL ES on all arches from qtbase5-dev
    - Support OpenGL ES twin packages for x86
    - qt5-qmake-arm-linux-gnueabihf alternative qmake
    - Don't set -reduce-relocations and don't revert the upstream bsymbolic
      disabling on non-x86 because of a problem with with Unity 8 on arm - 
      https://launchpad.net/bugs/1403758
    - Use enable_pie.patch to fix QObject::connect failing on ARM
    - Provides: qt-default in qt5-default
    - Use our symbols files, including supporting gles x86 Qt
    - Tests enabled (xvfb dep, debian/rules, enable-tests.patch)
    - Additional patches, cherry-picked/upstreamed:
      | Correct-typo-in-the-Gujarati-openType-identififer.patch
      | load_testability_from_env_var.patch
      | make-sure-there-s-a-scene.patch
      | upstream_xcb-Update-mouse-buttons-from-MotionNotify-events.patch
      | upstream-gerrit_Handle-SelectionWindowDestroy-in-QXcbClipboard.patch
      | upstream_Call-ofono-nm-Registered-delayed-in-constructor-othe.patch
      | upstream_xcb_use_themed_cursor.patch
    - Additional patches, Ubuntu specific:

