=== debian/changelog ===
qtbase-opensource-src (5.5.1+dfsg-16ubuntu7.7) xenial-security; urgency=medium

  * SECURITY UPDATE: division-by-zero via malformed PPM image
    - debian/patches/CVE-2018-19872.patch: add extra check to
      src/gui/image/qppmhandler.cpp.
    - CVE-2018-19872
  * SECURITY UPDATE: QPluginLoader loads plugins from the CWD
    - debian/patches/CVE-2020-0569.patch: do not load plugin from the $PWD
      in src/corelib/plugin/qpluginloader.cpp.
    - CVE-2020-0569

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 07 Feb 2020 10:43:53 -0500

qtbase-opensource-src (5.5.1+dfsg-16ubuntu7.6) xenial-security; urgency=medium

  * SECURITY UPDATE: double-free or corruption via illegal XML document
    - debian/patches/CVE-2018-15518.patch: fix possible heap corruption in
      QXmlStream in src/corelib/xml/qxmlstream_p.h.
    - CVE-2018-15518
  * SECURITY UPDATE: NULL pointer dereference in QGifHandler
    - debian/patches/CVE-2018-19870.patch: check for QImage allocation
      failure in src/gui/image/qgifhandler.cpp.
    - CVE-2018-19870
  * SECURITY UPDATE: buffer overflow in QBmpHandler
    - debian/patches/CVE-2018-19873.patch: check for out of range image
      size in src/gui/image/qbmphandler.cpp.
    - CVE-2018-19873
  * debian/rules: create a HOME directory so that tests can run.
  * debian/patches/fix_failing_cookie_tests.patch: fix failing tests
    because of expired cookies.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 11 Feb 2019 07:32:35 -0500

qtbase-opensource-src (5.5.1+dfsg-16ubuntu7.5) xenial; urgency=medium

  * Backport upstream change to fix behavior of QMenuBar::isNativeMenuBar()
    method (fix_isNativeMenuBar.diff). This should finally fix LP: #1380702.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 03 May 2017 22:22:47 +0300

qtbase-opensource-src (5.5.1+dfsg-16ubuntu7.4) xenial; urgency=medium

  [ Elvis Stansvik ]
  * debian/patches/xcb-compress-mouse-motion-and-touch-update-events.patch:
    - Backport event compression fix from Qt 5.6 branch (LP: #1598173)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 23 Mar 2017 23:17:09 +0300

qtbase-opensource-src (5.5.1+dfsg-16ubuntu7.3) xenial; urgency=medium

  * Backport upstream change to make shortcuts working with global menu
    on Unity (global_menu_shortcuts.diff, LP: #1380702).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 13 Mar 2017 18:40:39 +0300

qtbase-opensource-src (5.5.1+dfsg-16ubuntu7.2) xenial; urgency=medium

  * debian/patches/Fix-parsing-of-tzfile-5-POSIX-rule-zone-names-with-b.patch:
    - Backport a timezone conversion fix from Qt 5.6.2 (LP: #1622089)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 12 Sep 2016 05:49:32 +0000

qtbase-opensource-src (5.5.1+dfsg-16ubuntu7.1) xenial; urgency=medium

  * debian/patches/Blacklist-Mali-T760-Mali-T720-from-supporting-BGRA.patch
    - Backport from upstream 5.6 (LP: #1557915) (LP: #1559906)
  * Add two patches from stable Qt 5.6 branch to fix another case of 
    QXcbWindow crashes (LP: #1571158).
    - debian/patches/Fix-crash-because-of-NULL-screen-in-QXcbWindow.patch
    - debian/patches/QtGui-Don-t-set-a-screen-to-a-child-window.patch
  * Fix drag and drop issues with patches from upstream. (LP: #1577313)
    - debian/patches/xcb-Fix-drag-and-drop-to-Emacs.patch
    - debian/patches/xcb-Fix-drag-and-drop-to-applications-like-Emacs-and.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 02 May 2016 12:24:35 +0000

qtbase-opensource-src (5.5.1+dfsg-16ubuntu7) xenial; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream change from 5.6 branch to implement better detection
    of indicator-application based trays. Refs LP: #1546328.
  * Update symbols files for symbols added in the latest patches.

  [ Timo Jyrinki ]
  * debian/patches/fix-duplicate-qnam-finished.patch:
    - Fix multiple calls to signals of QNAM object (LP: #1564142)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 12 Apr 2016 19:17:34 +0300

qtbase-opensource-src (5.5.1+dfsg-16ubuntu6) xenial; urgency=medium

  [ Alberto Mardegan ]
  * debian/patches/xcb_fix_parent_screen_of_embedded_windows.patch:
    - Fix wrong size of embedded window. Fixed in upstream Qt 5.6.
      (LP: #1564767)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 05 Apr 2016 13:59:17 +0000

qtbase-opensource-src (5.5.1+dfsg-16ubuntu5) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:57:34 +0000

qtbase-opensource-src (5.5.1+dfsg-16ubuntu4) xenial; urgency=medium

  * debian/patches/qdoc-Wrap-QML-read-only-and-default-qualifiers-in-br.patch:
    - Fix typos in property definitions. (LP: #1557259)
  * Temporarily disable a test broken by glibc upgrade (LP: #1560528). 

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 29 Mar 2016 11:30:45 +0000

qtbase-opensource-src (5.5.1+dfsg-16ubuntu1) xenial; urgency=medium

  * Merge with Debian 5.5.1+dfsg-16.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 07 Mar 2016 09:17:45 +0000

qtbase-opensource-src (5.5.1+dfsg-16) unstable; urgency=medium

  * Add fix_alsa_detection.patch to workaround ALSA >= 1.1.0 detection.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 05 Mar 2016 10:24:48 -0300

qtbase-opensource-src (5.5.1+dfsg-15ubuntu1) xenial; urgency=medium

  * Merge with Debian 5.5.1+dfsg-15.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 04 Mar 2016 10:01:08 +0000

qtbase-opensource-src (5.5.1+dfsg-15) unstable; urgency=medium

  [ Timo Jyrinki ]
  * Backport XCB patch related to screen disconnection handling QTBUG-42985:
    - xcb-fix-yet-another-crash-when-screens-are-disconnec.patch
  * debian/patches/Prefer-QT_PLUGIN_PATH-over-compiled-in-paths.patch:
    - Backport. Prefer QT_PLUGIN_PATH over compiled-in paths (LP: #1519927)
  * Fix Chinese glyph font rendering with new backported upstream patches:
    - debian/patches/Fix-falsely-reported-style-for-fallback-font.patch

