=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <debian@pusling.com>,
+Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
@@ -23,6 +23,8 @@
                libgles2-mesa-dev [linux-any] | libgles2-dev [linux-any],
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
+               libgstreamer-plugins-base1.0-dev,
+               libgstreamer1.0-dev,
                libgtk2.0-dev,
                libharfbuzz-dev,
                libicu-dev,
@@ -33,6 +35,7 @@
                libpcre3-dev,
                libpng-dev,
                libpq-dev,
+               libproxy-dev,
                libpulse-dev,
                libsqlite3-dev,
                libssl-dev,
@@ -57,20 +60,21 @@
                libxkbcommon-x11-dev,
                libxrender-dev,
                pkg-kde-tools (>= 0.15.17),
+               publicsuffix,
                unixodbc-dev,
                xvfb,
                zlib1g-dev
 Build-Conflicts: libmariadbclient-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtbase.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtbase.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtbase.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtbase.git
 
 Package: libqt5core5a
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-4-2
+Provides: qtbase-abi-5-5-1
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
@@ -87,7 +91,12 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
-Suggests: libqt5libqgtk2
+Recommends: libqt5svg5
+Breaks: libqt5egldeviceintegration5 (<< 5.5.1+dfsg-13~),
+        libqt5xcbqpa5 (<< 5.5.1+dfsg-13~)
+Replaces: libqt5egldeviceintegration5 (<< 5.5.1+dfsg-13~),
+          libqt5xcbqpa5 (<< 5.5.1+dfsg-13~)
+Suggests: libqt5libqgtk2, qt5-image-formats-plugins, qtwayland5
 Description: Qt 5 GUI module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -105,7 +114,8 @@
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- The libqgtk2 module provides GTK2 theme compatibility
+ This package provides the GTK2 platform theme, which makes Qt use
+ native icon themes, fonts, and dialogs on GTK-based environments.
 
 Package: libqt5network5
 Architecture: any
@@ -315,30 +325,16 @@
  applications.
  .
  If you are interested in packaging Qt 5 stuff please take a look at
- http://pkg-kde.alioth.debian.org/packagingqtstuff.html
+ http://pkg-kde.alioth.debian.org/packagingqtbasedstuff.html
 
 Package: qtbase5-private-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: qtbase5-dev (= ${binary:Version}), ${misc:Depends}
-Breaks: qtbase5-dev (<< 5.4.0+dfsg-6~)
-Replaces: qtbase5-dev (<< 5.4.0+dfsg-6~)
-Description: Qt 5 base private development files
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the private header development files for building some
- Qt 5 applications like Qt Creator QML Designer plugin.
- .
- Use at your own risk.
-
-Package: libqt5opengl5-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: libqt5opengl5 (= ${binary:Version}),
+Depends: libinput-dev [linux-any],
+         libxkbcommon-dev,
          qtbase5-dev (= ${binary:Version}),
          ${misc:Depends}
 Breaks: qtbase5-dev (<< 5.4.0+dfsg-6~)
 Replaces: qtbase5-dev (<< 5.4.0+dfsg-6~)
+Description: Qt 5 base private development files
