=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+BUILDHOME = $(CURDIR)/debian/build
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
@@ -37,7 +38,7 @@
 pkgs_with_os = $(patsubst debian/%.install-$(DEB_HOST_ARCH_OS),%,$(wildcard debian/*.install-$(DEB_HOST_ARCH_OS)))
 
 
-ifneq (,$(filter %-sql-ibase,$(shell dh_listpackages)))
+ifneq (,$(filter libqt5sql5-ibase,$(shell dh_listpackages)))
 	extra_configure_opts += -plugin-sql-ibase
 else
 	extra_configure_opts += -no-sql-ibase
@@ -66,8 +67,8 @@
 	cpu_opt = -no-sse2 -no-pch
 endif
 
-# Skip tests on the archs they are known to be flaky  with current configuration
-testskip_architectures := arm64 powerpc ppc64el
+# Run tests only on archs known to pass in the past
+testrun_architectures := amd64 armhf i386
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   ifneq (,$(filter $(DEB_HOST_ARCH),alpha ia64 mips64 mips64el arm64))
@@ -175,13 +176,15 @@
 	            -accessibility \
 	            -compile-examples \
 	            -no-directfb \
+	            -gstreamer 1.0 \
 	            $(extra_configure_opts) \
 	            $(cpu_opt)
 
 override_dh_auto_test:
-ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testskip_architectures)))
+	mkdir -p $(BUILDHOME)
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(testrun_architectures)))
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-		xvfb-run -a -s "-screen 0 640x480x24" make check QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib PATH=$(CURDIR)/bin:$(PATH)
+		xvfb-run -a -s "-screen 0 640x480x24" make check QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib PATH=$(CURDIR)/bin:$(PATH) HOME=$(BUILDHOME) XDG_RUNTIME_DIR=$(BUILDHOME) XDG_DATA_HOME=$(BUILDHOME) -k
 endif
 endif
 
@@ -223,8 +226,3 @@
 	  -o -name .rcc \
 	  -o -name release-shared \
 	  -o -name release-static \
-	  -o -name .uic \) -print \
-        | xargs rm -rf
-
-	# Leftover files and all symlinks
-        # Ubuntu diff: tests enablement related
